Customers are entities used to organize and manage saved payment methods. These include billing details, transaction history, and recurring payments. A customer record may contain their name, email address, phone number, and billing or shipping addresses. Having a customer association is not required to pay for transactions.
Customers may pay transactions in one of three ways:
- Vaulted payments
- Standalone tokenization, also known as orphan vaulted payment
- Account supported
Vaulted payments
A vaulted payment method is a securely stored payment credential. Customers can be associated with one or more vaulted payment methods. This applies to credit card or bank account payments.
This is considered a more secure method rather than storing the card number directly. That information has previously been tokenized and saved for future use. Vaulted information can be safely accessed through a payment identifier. This is typically used for recurring billing, subscriptions, saved checkout experiences, and card-on-file transactions.
In the transaction payment, the field customerId is provided. The customer's vaulted payment methods are available for selection.
Standalone tokenization
Clients may use standalone tokenization, also known as an orphan vaulted payment. This allows a payment method to be vaulted even when the payer has not been recognized as a customer entity. The transaction proceeds using a previously established payment method identifier.
Standalone tokenization is useful when a payment method must be vaulted before a customer profile exists. This includes guest checkouts, delayed onboarding, account setup, or card-on-file collection before registration is complete.
In the transaction payment, the field customerId is omitted but paymentMethodId is provided. This indicates the merchant's orphan vaulted payment method is used.
Account Supported
Clients may use accounts supporting orphan payments. This is a form of a payment method that temporarily exists without a customer association.
In the transaction payment, both fields customerId and paymentMethodId are omitted. The transaction uses the credit or debit card, or bank account data supplied in the request.
GET {{baseURL}}/pay-api/v1/customers
This endpoint lists the partner's customers.
The search can specify filters to better target intended customers.
See Also:
To find a customer by identifier, see GET /pay-api/v1/customers/{{customerId}}.
To create a customer, see POST /pay-api/v1/customers.
To delete a customer, see DELETE /pay-api/v1/customers/{{customerId}}.
To update a customer's information, see PUT /pay-api/v1/customers/{{customerId}}.
Specifies the search string.
This performs a case insensitive, matching, or partially matching search.
Fields does not have to be specified. If the results are to be sorted, the field orderby to specify the sort field.
firstName
lastName
companyName
email
mobilePhoneNumber
id
createdOn
lastTransactionDate
contactName
Specifies returning items on or after this date (in an ISO 8601 date-time format).
If dateFrom only is specified, the search returns all available items from the dateFrom value to the present. The fields dateFrom and dateTo may be used together to create an exclusive range. We recommend creating an exclusive range to avoid a potentially excessive number of returns.
Specifies returning items on or to this date (in an ISO 8601 date-time format).
If dateTo only is specified, the search returns all available items up to the dateTo value. The fields dateFrom and dateTo may be used together to create an exclusive range. We recommend creating an exclusive range to avoid a potentially excessive number of returns.
Specifies the page number of the returned search results.
A page is considered each set of the pageSize value.
The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.
Values above the maximum page value will complete successfully but not return any items.
Example: 0
Specifies the number of items for each page of the returned search results.
A page is considered each set of the pageSize value.
The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.
Example: 50
- Mock serverhttps://developer.flute.com/_mock/api-reference/pay-api/v1/customers
- Sandbox environmenthttps://sandbox.api.flute.com/pay-api/v1/customers
- Production environmenthttps://api.flute.com/pay-api/v1/customers
curl -i -X GET \
'https://developer.flute.com/_mock/api-reference/pay-api/v1/customers?search=Conners%20Electric&customerIds=c4b210e9-be39-4ebc-8195-0c422de87f90&orderBy=string&asc=true&dateFrom=2025-01-27T12%3A05%3A54.322587Z&dateTo=2026-01-27T12%3A05%3A54.322587Z&page=0&pageSize=15' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "items": [ { "id": "019bf058-960f-72a0-8194-6d554c7d6004", "createdOn": "2025-01-27T12:05:54.322587Z", "modifiedOn": "2025-01-27T12:05:54.322587Z", "lastTransactionDate": "2025-01-27T12:05:54.322587Z", "lastTransactionAmount": 0.1, "activeSubscriptionsAmount": 0.1, "contactName": "Alexandro Peppared", "firstName": "Alexandro", "lastName": "Peppared", "companyName": "Peppared Street Cafe", "email": "peppared@example.com", "mobilePhoneNumber": "+14155552309", "isMobileNumberSmsNotificationsEnabled": true, "billingAddress": { "addressLine1": "21 E. Main Street", "addressLine2": "Office 3", "city": "Chicago", "zip": "60612", "stateName": "Illinois", "state": { "id": 0, "code": "IL", "name": "Illinois" }, "country": { "id": 1, "isoCode": "US", "name": "United States" } }, "paymentMethodsCount": 0 } ], "total": 5 }